import { FC, ReactElement } from "react";
import { IManifest } from "../../types";
import IAnnotation from "../../types/IAnnotation";
export interface ReaderComponents {
    header?: ReactElement;
    navbar?: ReactElement;
    footer?: ReactElement;
    toc?: ReactElement;
    pageControl?: ReactElement;
    search?: ReactElement;
    notes?: ReactElement;
}
export interface ReaderProps {
    lastPosition?: string;
    components?: ReaderComponents;
    manifest?: IManifest;
    xhrOptions: any;
    baseUrl: string;
    onCreateAnnotation: Function;
    onUpdateAnnotation: Function;
    onDeleteAnnotation: Function;
    onShare?: Function;
    onBack?: Function;
    annotations?: Array<IAnnotation>;
    textToSpeech?: Function;
    [key: string]: unknown;
}
declare const EPubReader: FC<ReaderProps>;
export default EPubReader;
